/***************************************************************************//**
  @ingroup ltimer_port_riscv_lchip_mchtmr
  @file ports/riscv_lchip_mchtmr/lclock.c
    Файл содержит реализацию порта для контроллеров с ядром
    RISC-V с использованием стандартного системного таймера machine timer (mtimer).
    Порт использует определения регистров из библиотеки chip
  @author Borisov Alexey <borisov@lcard.ru>
 ******************************************************************************/
 

#include "chip.h"
#include "lclock_arch.h"



void lclock_init_val(t_lclock_ticks init_val) {
#if CHIP_MCHTMR_SUPPORT_SET_TIME
    chip_mchtmr_set_time(init_val);
#endif
}

t_lclock_ticks lclock_get_ticks(void) {
    return chip_mchtmr_get_time();
}

char lclock_is_initialized(void) {
    return 1;
}

void lclock_disable(void) {

}
